# Class DefaultMatcher

Default matcher when no action is needed and there is no result for urlmatcher

  Thelia\Routing\Matcher\DefaultMatcher implements Symfony\Component\Routing\Matcher\RequestMatcherInterface

Namespace: Thelia\Routing\Matcher
Author: Manuel Raynaud <mraynaud@openstudio.fr>
Located at core/lib/Thelia/Routing/Matcher/DefaultMatcher.php

Methods summary
`public` | # `__construct( `Thelia\Controller\NullControllerInterface` $controller )`
`public` | # `matchRequest( Symfony\Component\HttpFoundation\Request $request )`

Properties summary
`protected mixed` | $controller | `` | #